## GocArc

GocArc — Simple elliptic arc.

## Properties

gdouble | ang1 | Read / Write
gdouble | ang2 | Read / Write
GOArrow * | end-arrow | Read / Write
gdouble | rotation | Read / Write
GOArrow * | start-arrow | Read / Write
gint | type | Read / Write
gdouble | xc | Read / Write
gdouble | xr | Read / Write
gdouble | yc | Read / Write
gdouble | yr | Read / Write

## Types and Values

| GocArc
typedef | GocArcClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocArc

## Implemented Interfaces

GocArc implements GOStyledObject.

## Description

GocArc implements simple elliptic arc drawing in the canvas. The arc can have arrows at the start and/or at the end.

## Functions

## Types and Values

### GocArc

    typedef struct _GocArc GocArc;

### GocArcClass

    typedef GocStyledItemClass GocArcClass;

## Property Details

### The `“ang1”` property

      “ang1”                     gdouble

The arc start angle.

Owner: GocArc

Flags: Read / Write

Default value: 0

### The `“ang2”` property

      “ang2”                     gdouble

The arc end angle.

Owner: GocArc

Flags: Read / Write

Default value: 0

### The `“end-arrow”` property

      “end-arrow”                GOArrow *

Arrow for line's end.

Owner: GocArc

Flags: Read / Write

### The `“rotation”` property

      “rotation”                 gdouble

The rotation around center position.

Owner: GocArc

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“start-arrow”` property

      “start-arrow”              GOArrow *

Arrow for line's start.

Owner: GocArc

Flags: Read / Write

### The `“type”` property

      “type”                     gint

The type of arc: arc, chord or pie.

Owner: GocArc

Flags: Read / Write

Allowed values: [0,2]

Default value: 0

### The `“xc”` property

      “xc”                       gdouble

The arc center x coordinate.

Owner: GocArc

Flags: Read / Write

Default value: 0

### The `“xr”` property

      “xr”                       gdouble

The arc x radius.

Owner: GocArc

Flags: Read / Write

Default value: 0

### The `“yc”` property

      “yc”                       gdouble

The arc center y coordinate.

Owner: GocArc

Flags: Read / Write

Default value: 0

### The `“yr”` property

      “yr”                       gdouble

The arc y radius.

Owner: GocArc

Flags: Read / Write

Default value: 0